=== debian/control ===
Source: libpthread-workqueue
Priority: extra
Maintainer: Mark Heily <mark@heily.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Section: libs
Homepage: http://mark.heily.com/proj/libpthread_workqueue
Vcs-Svn: svn://mark.heily.com/libpthread_workqueue/trunk

Package: libpthread-workqueue-dev
Section: libdevel
Architecture: linux-any
Depends: libpthread-workqueue0 (= ${binary:Version})
Description: thread pool library (development files)
 The pthread_workqueue library allows you to create one or more workqueues 
 and submit work items for processing. The workqueues are serviced by a 
 thread pool that is automatically created and dynamically managed by the 
 library.
 .
 This package contains files needed to build programs that use the 
 pthread_workqueue library.

Package: libpthread-workqueue0
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: thread pool library
 The pthread_workqueue library allows you to create one or more workqueues 
 and submit work items for processing. The workqueues are serviced by a 
 thread pool that is automatically created and dynamically managed by the 
 library.
 . 
 The API is based on the pthread_workqueue API in FreeBSD 8.0, which was 
 designed to be compatible with the API developed by Apple Inc to support 
 the Grand Central Dispatch concurrency framework.
