=== debian/rules ===
#!/usr/bin/make -f

%:
	CFLAGS="" LDADD="-lpthread" dh $@
