## libpthread-workqueue 0.9.1

=== debian/changelog ===
libpthread-workqueue (0.9.1-1~mx25) mx; urgency=medium

  * Rebuild for MX 25.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Apr 2025 10:06:11 -0700

libpthread-workqueue (0.9.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/rules: disable auto tests, since they cause build to hang.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Jul 2022 10:57:46 -0700

libpthread-workqueue (0.9.1-1) unstable; urgency=medium

  * New upstream version that prevents build failures on non-x86 platforms.

 -- Mark Heily <mark@heily.com>  Thu, 06 Mar 2014 23:38:54 -0500

libpthread-workqueue (0.9-1) unstable; urgency=low

  * New upstream version
  * Switch to using GNU autotools. (Closes: #724148)

 -- Mark Heily <mark@heily.com>  Sun, 02 Mar 2014 13:05:09 -0500

libpthread-workqueue (0.8-1) unstable; urgency=low

  * New upstream version.

 -- Mark Heily <mark@heily.com>  Sat, 09 Jul 2011 10:39:08 -0400
