=== debian/control ===
Source: libpthread-workqueue
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mark Heily <mark@heily.com>
Build-Depends: autotools-dev, debhelper (>= 10), dh-autoreconf
Standards-Version: 3.9.5.0
Section: libs
Homepage: https://github.com/mheily/libpwq/wiki
Vcs-Git: git://github.com/mheily/debian-packages.git -b libpthread_workqueue

Package: libpthread-workqueue-dev
Section: libdevel
Architecture: linux-any
Depends: libpthread-workqueue0 (= ${binary:Version}), ${misc:Depends}
Description: thread pool library (development files)
 The pthread_workqueue library allows you to create one or more workqueues
 and submit work items for processing. The workqueues are serviced by a
 thread pool that is automatically created and dynamically managed by the
 library.
 .
 This package contains files needed to build programs that use the
 pthread_workqueue library.

Package: libpthread-workqueue0
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: thread pool library
 The pthread_workqueue library allows you to create one or more workqueues
 and submit work items for processing. The workqueues are serviced by a
 thread pool that is automatically created and dynamically managed by the
 library.
 .
 The API is based on the pthread_workqueue API in FreeBSD 8.0, which was
 designed to be compatible with the API developed by Apple Inc to support
 the Grand Central Dispatch concurrency framework.
